%global __provides_exclude_from %{_datadir}/doc/gtk-doc/.*
%global __requires_exclude_from %{_datadir}/doc/gtk-doc/.*

%define oname		peas

%define api		1.0
%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d

%define girmajor	1.0
%define girname		%mklibname %{oname}-gir %{girmajor}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libpeas
Version:	1.36.0
Release:	%mkrel 2
Summary:	Library for plugin handling
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	vala
BuildRequires:	meson
BuildRequires:  gi-docgen
BuildRequires:	gettext-devel

%description
This is GNOME's plugin handling library.

#--------------------------------------------------------------------

%package data
Summary:	Library for plugin handling - data files
Group:		System/Libraries

%description data
This is GNOME's plugin handling library - data files

%files data -f %{name}-%{api}.lang
%{_datadir}/icons/hicolor/*/actions/*
%{_datadir}/glade/catalogs/libpeas-gtk.xml

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Library plugin handling
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}
Recommends:	%{libname}-loader-python3

%description -n %{libname}
This is GNOME's plugin handling library.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libname}-loader-python3
Summary:	Loader library for libpeas plugins written in Python 3
Group:		System/Libraries
Provides:	%{name}-loader-python3 = %{version}-%{release}
Provides:	%{name}-loader-python3%{?_isa} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-loader-python3
This is GNOME's plugin handling library - Python 3 plugin loader part.

%files -n %{libname}-loader-python3
%doc AUTHORS
%{_libdir}/%{name}-%{api}/loaders/libpython3loader.so

#--------------------------------------------------------------------

%package -n %{libnamegtk}
Summary:	Library plugin handling UI part
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libnamegtk}
This is GNOME's plugin handling library - user interface part.

%files -n %{libnamegtk}
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamegtk} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnamegtk} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
#{_bindir}/peas-demo
#{_libdir}/peas-demo
%{_includedir}/*
%{_docdir}/libpeas-1.0
%{_docdir}/libpeas-gtk-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gtk-%{api}.pc
%{_datadir}/gir-1.0/Peas-%{api}.gir
%{_datadir}/gir-1.0/PeasGtk-%{api}.gir

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Peas-%{girmajor}.typelib

#--------------------------------------------------------------------

%package -n %{girnamegtk}
Summary:	GObject Introspection interface description for %{name}-gtk
Group:		System/Libraries
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{girnamegtk}
GObject Introspection interface description for %{name}-gtk.

%files -n %{girnamegtk}
%{_libdir}/girepository-1.0/PeasGtk-%{girmajor}.typelib

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
  -Ddemos=false \
  -Dvapi=true \
  -Dpython2=false \
  -Dpython3=true \
  -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api}


%changelog
* Sun Dec 10 2023 wally <wally> 1.36.0-2.mga10
+ Revision: 2016796
- rebuild for py3.12

* Sat Apr 22 2023 tmb <tmb> 1.36.0-1.mga9
+ Revision: 1954111
- update to 1.36.0
+ wally <wally>
- drop old obsoletes and conflicts

* Tue Sep 20 2022 wally <wally> 1.34.0-1.mga9
+ Revision: 1890780
- new version 1.34.0

* Sat Mar 19 2022 tv <tv> 1.32.0-1.mga9
+ Revision: 1800779
- Update to 1.32.0

* Sat Feb 12 2022 tv <tv> 1.30.0-2.mga9
+ Revision: 1773680
- Rebuild for python-3.10

* Wed Mar 24 2021 ovitters <ovitters> 1.30.0-1.mga9
+ Revision: 1709539
- new version 1.30.0

* Mon Mar 15 2021 wally <wally> 1.28.0-2.mga9
+ Revision: 1703654
- rebuild for python 3.9

* Sun Sep 13 2020 daviddavid <daviddavid> 1.28.0-1.mga8
+ Revision: 1625661
- new version 1.28.0

* Thu May 07 2020 daviddavid <daviddavid> 1.26.0-2.mga8
+ Revision: 1581426
- rebuild for new glade 3.36.0
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 06 2020 ovitters <ovitters> 1.26.0-1.mga8
+ Revision: 1554512
- new version 1.26.0

* Tue Feb 18 2020 tv <tv> 1.25.3-1.mga8
+ Revision: 1541951
- 1.25.3

* Mon Feb 17 2020 umeabot <umeabot> 1.24.1-2.mga8
+ Revision: 1537260
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 ovitters <ovitters> 1.24.1-1.mga8
+ Revision: 1456345
- new version 1.24.1

* Fri Sep 13 2019 tv <tv> 1.24.0-3.mga8
+ Revision: 1440504
- rebuild for python-3.8

* Wed Sep 11 2019 wally <wally> 1.24.0-2.mga8
+ Revision: 1439754
- rebuild for python3.8
- drop python2 support

* Tue Sep 10 2019 tv <tv> 1.24.0-1.mga8
+ Revision: 1439289
- kill useless find
- use %%autosetup
- disable new demo
- major is back to 0
+ ovitters <ovitters>
- new version 1.24.0
- new version 1.23.92

* Fri Aug 30 2019 wally <wally> 1.23.90.1-3.mga8
+ Revision: 1435555
- really split out python loaders (fix r1357608)

* Wed Aug 07 2019 wally <wally> 1.23.90.1-2.mga8
+ Revision: 1427998
- drop old obsoletes/provides
- loosen lib pkg requires
- drop unneeded requires pulled by other pkgs

* Wed Aug 07 2019 ovitters <ovitters> 1.23.90.1-1.mga8
+ Revision: 1427827
- switch to meson
- new version 1.23.90.1

* Thu Jan 17 2019 ngompa <ngompa> 1.22.0-4.mga7
+ Revision: 1357610
- Split out Python 2 and Python 3 loaders into subpackages and pull them in via Recommends

* Mon Jan 07 2019 wally <wally> 1.22.0-3.mga7
+ Revision: 1350570
- rebuild for python3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.22.0-2.mga7
+ Revision: 1299088
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Sep 20 2017 tv <tv> 1.22.0-1.mga7
+ Revision: 1156407
- new release

* Thu Aug 03 2017 joequant <joequant> 1.20.0-3.mga7
+ Revision: 1134459
- rebuild for python 3.6

* Mon Sep 26 2016 tv <tv> 1.20.0-2.mga7
+ Revision: 1056844
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 1.20.0-1.mga6
+ Revision: 1055713
- new version 1.20.0

* Sun Mar 20 2016 ovitters <ovitters> 1.18.0-1.mga6
+ Revision: 993186
- new version 1.18.0

* Thu Mar 17 2016 luigiwalser <luigiwalser> 1.17.0-2.mga6
+ Revision: 992604
- BR seed is no longer needed

* Mon Feb 15 2016 tv <tv> 1.17.0-1.mga6
+ Revision: 960754
- 1.17.0

* Wed Oct 07 2015 ovitters <ovitters> 1.16.0-2.mga6
+ Revision: 887025
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 1.16.0-1.mga6
+ Revision: 882565
- new release
- new release

* Mon Jun 29 2015 wally <wally> 1.15.0-2.mga6
+ Revision: 847383
- add requires for gir pkg to devel pkg

* Thu Jun 25 2015 ovitters <ovitters> 1.15.0-1.mga6
+ Revision: 843022
- new version 1.15.0

* Sun Jun 21 2015 ovitters <ovitters> 1.14.0-1.mga6
+ Revision: 838358
- new version 1.14.0

* Wed Oct 15 2014 umeabot <umeabot> 1.12.1-3.mga5
+ Revision: 751232
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.12.1-2.mga5
+ Revision: 724926
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 1.12.1-1.mga5
+ Revision: 719225
- new version 1.12.1
- new version 1.12.0

* Tue Sep 16 2014 umeabot <umeabot> 1.10.1-2.mga5
+ Revision: 681707
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Fri Aug 01 2014 ovitters <ovitters> 1.10.1-1.mga5
+ Revision: 658916
- new version 1.10.1

* Thu Jun 05 2014 ovitters <ovitters> 1.10.0-4.mga5
+ Revision: 633411
- remove symlink, build python2 and python3

* Thu Jun 05 2014 fwang <fwang> 1.10.0-3.mga5
+ Revision: 633342
- rebuild for new python

* Mon May 05 2014 ovitters <ovitters> 1.10.0-2.mga5
+ Revision: 620353
- add symbolic link for alternative library name, needed for some programs (reported by Charles A Edwards, dev ml)

* Mon Mar 31 2014 ovitters <ovitters> 1.10.0-1.mga5
+ Revision: 610911
- remove gjs plugin (removed upstream)
- new version 1.10.0

* Sat Nov 02 2013 fwang <fwang> 1.9.0-3.mga4
+ Revision: 548924
- add filters

* Sat Oct 19 2013 umeabot <umeabot> 1.9.0-2.mga4
+ Revision: 530880
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 dams <dams> 1.9.0-1.mga4
+ Revision: 444104
- new version 1.9.0

* Fri May 24 2013 dams <dams> 1.8.0-1.mga4
+ Revision: 426157
- new version 1.8.0

* Sat Jan 12 2013 umeabot <umeabot> 1.6.2-2.mga3
+ Revision: 357960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 ovitters <ovitters> 1.6.2-1.mga3
+ Revision: 321693
- new version 1.6.2

* Tue Oct 16 2012 ovitters <ovitters> 1.6.1-1.mga3
+ Revision: 307015
- new version 1.6.1

* Tue Sep 25 2012 ovitters <ovitters> 1.6.0-1.mga3
+ Revision: 297676
- new version 1.6.0

* Tue Jul 17 2012 ovitters <ovitters> 1.5.0-1.mga3
+ Revision: 272093
- drop merged patch
- new version 1.5.0
- readd autoreconf, needed for libtoolize
- update buildrequires

* Wed Mar 28 2012 ovitters <ovitters> 1.4.0-1.mga2
+ Revision: 227311
- add patch to fix pkgconfig variable expansion
- new version 1.4.0
- new version
- fix source url
+ fwang <fwang>
- bump gjs req

* Sun Jan 29 2012 fwang <fwang> 1.2.0-2.mga2
+ Revision: 202817
- fix br on vala

* Tue Sep 27 2011 ovitters <ovitters> 1.2.0-1.mga2
+ Revision: 149132
- new version 1.2.0

* Wed Sep 21 2011 wally <wally> 1.1.4-1.mga2
+ Revision: 146485
- new version 1.1.4

* Wed Aug 31 2011 fwang <fwang> 1.1.3-1.mga2
+ Revision: 136859
- update file list
- new veresion 1.1.3
- rebuild for new seed
+ wally <wally>
- new version 1.1.1
- fix libification
- add supbpackages for gir .typelibs
- clean BRs and use pkgconfig style when possible

* Thu Jul 07 2011 fwang <fwang> 1.1.0-3.mga2
+ Revision: 119643
- rebuild for new typelib provides in rpm
- rebuild for new webkit

* Thu Jun 16 2011 pterjan <pterjan> 1.1.0-1.mga2
+ Revision: 108368
- Update to 1.1.0

* Tue Jun 14 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 106294
- Add gnutls-devel as buildrequires
- imported package libpeas


* Mon Apr 04 2011 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 650377
- new version
- drop patch

* Mon Apr 04 2011 Götz Waschk <waschk@mandriva.org> 0.9.0-2
+ Revision: 650267
- fix seed test
- enable vala and python support

  + Funda Wang <fwang@mandriva.org>
    - new version 0.9.0

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 0.7.4-1
+ Revision: 648120
- new version 0.7.4
  disable python and vala support, they relies on too new versions which are n/a
- rebuild

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.5.5-2mdv2011.0
+ Revision: 578931
- fix build with new gtk+

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 571273
- new version
- rename libpeasui to libpeas-gtk

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 565851
- reenable gtk+3
- new version
- disable gtk+3 support
- bump introspection dep
- import libpeas


